<div class="card">
    <div class="card-body text-center">
        <img 
            width="150px" 
            height="150px" 
            class="rounded-circle img-thumbnail" 
            [src]="userCard.picture?.large"
            alt="" 
            
        >
        <div class="card-title text-primary">
            <h1>
                <span class="px-2">{{userCard.name?.title}}.</span>
                <span class="px-2">{{userCard.name?.first}}</span>
                <span class="px-2">{{userCard.name?.last}}</span>
            </h1>
        </div>

        <div class="card-text text-center">
            <fa-icon [icon]="faEnvelope"></fa-icon>
            <span class="ml-3">{{userCard.email}}</span>
        </div>

        <div class="card-text text-center">
            <fa-icon [icon]="faMapMarkerAlt"></fa-icon>
            <span class="ml-3">
                {{userCard.location?.city}}, {{userCard.location?.state}},
                {{userCard.location?.country}} {{userCard.location?.postcode}}
            </span>
        </div>

        <div class="card-text text-center">
            <fa-icon [icon]="faPhoneAlt"></fa-icon>
            <span class="ml-3">{{userCard.phone}}</span>
        </div>

        <div class="card-text text-center">
            <fa-icon [icon]="faIdCard"></fa-icon>
            <small class="ml-3" style="line-height: 1.5cm;">
                Registered on {{userCard.registered?.date | date}}
            </small>
        </div>
    </div>
</div>